init voice persona
curl --request POST \
--url https://api.mountsea.ai/suno/v2/voicePersona/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voice_audio_url": "https://example.com/my-voice.wav",
"language": "zh",
"vocal_start_s": 0,
"vocal_end_s": 12.6
}
'import requests
url = "https://api.mountsea.ai/suno/v2/voicePersona/init"
payload = {
"voice_audio_url": "https://example.com/my-voice.wav",
"language": "zh",
"vocal_start_s": 0,
"vocal_end_s": 12.6
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
voice_audio_url: 'https://example.com/my-voice.wav',
language: 'zh',
vocal_start_s: 0,
vocal_end_s: 12.6
})
};
fetch('https://api.mountsea.ai/suno/v2/voicePersona/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}Voice Persona
Voice Persona 初始化
上传语音音频并获取验证短语
POST
/
suno
/
v2
/
voicePersona
/
init
init voice persona
这是免费 Init + Complete Voice Persona 的第一阶段。产物与收费的 Clone Voice 相同。详见完整工作流程指南。
taskId,等待状态变为 awaiting(不是 success)。data 字段将包含 phrase_text — 用户需要朗读并录制的文本。
获得录音后,在 30 秒内使用相同的 taskId 调用 Complete。
language 参数决定验证短语的语言。请选择与用户语音音频匹配的语言以获得最佳效果。支持的语言:zh、en、ja、ko、es、fr、de、pt、ru、hi。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
201 - application/json
task id. Use this id to query task status.
示例:
"15c257ff-43f7-4678-bd41-202ad6b8488b"